local L = AceLibrary("AceLocale-2.2"):new("Automaton_Summon")
Automaton_Summon = Automaton:NewModule("Summon", "AceEvent-2.0", "AceConsole-2.0", "AceDebug-2.0")

L:RegisterTranslations("enUS", function() return {
	["Summon"] = true,
	["Options for accepting summons."] = true,
	["Enabled"] = true,
	["Accept warlock or meeting stone summons automatically."] = true,
	["Delay"] = true,
	["With this option enabled, automatic summons are delayed for 100 seconds."] = true,
	["Accepting summon in 1:40..."] = true,
	["Accepting summon..."] = true,
} end)

Automaton.options.args.summon = {
	type = 'group',
	name = L["Summon"],
	desc = L["Options for accepting summons."],
	args = {
		toggle = {
			type = 'toggle',
			name = L["Enabled"],
			desc = L["Accept warlock or meeting stone summons automatically."],
			get = function() return Automaton:IsModuleActive("Summon") end,
			set = function(v) Automaton:ToggleModuleActive("Summon", v) end,
		},
		delay = {
			type = 'toggle',
			name = L["Delay"],
			desc = L["With this option enabled, automatic summons are delayed for 100 seconds."],
			get = function() return Automaton.db.profile.autoSummonDelay end,
			set = function(v) Automaton.db.profile.autoSummonDelay = v end,
		}
	}
}

function Automaton_Summon:OnEnable()
	self:RegisterEvent("CONFIRM_SUMMON")
end

function Automaton_Summon:CONFIRM_SUMMON()
	if Automaton.db.profile.autoSummonDelay and not self:IsEventScheduled("Automaton_autoSummon") then
		self:Print(L["Accepting summon in 1:40..."])
		self:ScheduleEvent("Automaton_autoSummon", ConfirmSummon, 100, i, 1)
	elseif not self:IsEventScheduled("Automaton_autoSummon") then
		self:Print(L["Accepting summon..."])
		ConfirmSummon()
		StaticPopup_Hide("CONFIRM_SUMMON")
	end
end